import React from "react";
import { LatLngTuple } from "leaflet";
import { Circle, PointSeries, Rectangle } from "./LocationPicker";
export interface IBannerProps {
    points?: LatLngTuple[];
    pointRemoval?: (point: LatLngTuple) => void;
    circles?: Circle[];
    circleRemoval?: (circle: Circle) => void;
    rectangles?: Rectangle[];
    rectangleRemoval?: (rectangle: Rectangle) => void;
    polylines?: PointSeries[];
    polylineRemoval?: (polyline: PointSeries) => void;
    polygons?: PointSeries[];
    polygonRemoval?: (polygon: PointSeries) => void;
}
declare const Banner: React.FC<IBannerProps>;
export default Banner;
