import { Circle } from "./LocationPicker";
export declare const toRadians: (angle: number) => number;
export declare const toDegrees: (angle: number) => number;
export declare const setPrecision: (value: string | number, precision: number) => number;
export declare const calculateRadius: (point1: [number, number], point2: [number, number]) => number;
export declare const calculateCircleBox: (circle: Circle) => [[number, number], [number, number]];
export declare const stringifyPoint: (point: [number, number]) => string;
export declare const stringifyCircle: (circle: Circle) => string;
export declare const stringifyRectangle: (rectangle: [[number, number], [number, number]]) => string;
export declare const stringifyPointSeries: (pointSeries: [number, number][]) => string;
export declare const indexOfObject: (arr: any[], value: any) => number;
